Subject: HELP:World aqua/maricultured fish producers/sellers information

From: [email-masked] (Adam Hamzah)
Date: Fri, 20 Sep 1996 19:04:42 +0100

I would be grateful if anyone can point in the direction to further
information concerning data of 'significant' producers(companies) of
aqua/mariculture fish producers/sellers around the world.

I am do a paper on the 'Fish Farming Industry - Worldwide' but have little
data concerning major producers of fish via fish farming(i.e. aqua and
mariculture)

Although I realize the industry as a whole is in its relative infancy and
very fragmented I am looking for a registrar of companies around the world
that are currently involved in fish farming preferably with catch details,
financial highlights, location.

I know I might be asking a lot but I would really appreciate any help
around this subject.

Thanking-you in advance.
Adam Hamzah